プロジェクト

全般

プロフィール

Bug(バグ) #128

JavaScript Error that "opEmoji is not defined" when Richtextarea is used before IE7 (リッチテキスト機能 IE7以前で「opEmoji宣言されていません」というエラーが表示される。)

Mari Yamashita8年以上前に追加. 8年以上前に更新.

ステータス:
Fixed(完了)
優先度:
Normal(通常)
担当者:
対象バージョン:
開始日:
2009-10-27
期日:
進捗率:

100%

3.6 で発生するか:
Unknown (未調査)
3.8 で発生するか:
Unknown (未調査)

説明

概要

IE7以前の環境において、文字装飾機能にて以下のエラーが表示される。

'opEmoji'は宣言されていません。

また、プレビューモードへ切り替えることができない。

原因

いくつかのスクリプト中に、IE7以前にとって不要なカンマが発見されました。

修正内容

  • 不要なカンマの除去
  • セミコロン忘れ等の修正
  • tiny_mce/plugins/openpne/editor_plugin.js のファイルサイズ縮小忘れ対応

関連するチケット

関連している OpenPNE 3 - Enhancement(機能追加・改善) #20: opWidgetFormRichTextareaOpenPNEを拡張する機能を作成する Fixed(完了) 2009-09-25
関連している OpenPNE 3 - Task(タスク) #4071: OpenPNEに同梱されている TinyMCE 3.4.4 が IE11 に対応していないため、バージョンアップについて調査する New(新規) 2016-12-20

関係しているリビジョン

リビジョン 875903e5 (差分)
Shogo Kawahara8年以上前に追加

fixed script of preview-mode, for before IE7 (fixes #128)

履歴

#1 Mari Yamashita8年以上前に更新

配列の最後の行にカンマがあるとIE6でエラーになります。
if($(this.id+"epSb")){Element.hide($(this.id+"_epSb"));}}}
で直ると思います。

#2 Shogo Kawahara8年以上前に更新

  • ステータスNew(新規) から Accepted(着手) に変更
  • 担当者Shogo Kawahara にセット
  • 対象バージョンOpenPNE 3.1.4 にセット

対応します

こちらで確認したところ、IE7以前で起きるようです。

#3 Shogo Kawahara8年以上前に更新

  • 題名リッチテキスト機能 IE6で opEmoji宣言されていません エラーde から リッチテキスト機能 IE6で opEmoji宣言されていませんというエラーが表示される。 に変更

-

#4 Shogo Kawahara8年以上前に更新

  • 題名リッチテキスト機能 IE6で opEmoji宣言されていませんというエラーが表示される。 から リッチテキスト機能 IE7以前で「opEmoji宣言されていません」というエラーが表示される。 に変更

#5 Shogo Kawahara8年以上前に更新

  • ステータスAccepted(着手) から Pending Review(レビュー待ち) に変更

更新履歴commit:"875903e5420dd909553b215606720c1082ed2ca0"で適用されました。

#6 Kousuke Ebihara8年以上前に更新

  • 進捗率0 から 50 に変更

#7 Shogo Kawahara8年以上前に更新

  • 題名リッチテキスト機能 IE7以前で「opEmoji宣言されていません」というエラーが表示される。 から JavaScript Error that "opEmoji is not defined" when Richtextarea is used before IE7 (リッチテキスト機能 IE7以前で「opEmoji宣言されていません」というエラーが表示される。) に変更

#8 Kousuke Ebihara8年以上前に更新

  • ステータスPending Review(レビュー待ち) から Fixed(完了) に変更
  • 進捗率50 から 100 に変更

#9 kaoru nishizoe1年以上前に更新

  • 関連している Task(タスク) #4071: OpenPNEに同梱されている TinyMCE 3.4.4 が IE11 に対応していないため、バージョンアップについて調査する を追加

他の形式にエクスポート: Atom PDF